// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 46;
	objects = {

/* Begin PBXBuildFile section */
		93111BF61E6AA2E0000021B9 /* BaseViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 93111BF51E6AA2E0000021B9 /* BaseViewController.swift */; };
		93111BF81E6AA32E000021B9 /* KVProfileViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 93111BF71E6AA32E000021B9 /* KVProfileViewController.swift */; };
		9352D1301E67712F003BF26A /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 9352D12F1E67712F003BF26A /* AppDelegate.swift */; };
		9352D1351E67712F003BF26A /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 9352D1331E67712F003BF26A /* Main.storyboard */; };
		9352D1371E67712F003BF26A /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 9352D1361E67712F003BF26A /* Assets.xcassets */; };
		9352D13A1E67712F003BF26A /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 9352D1381E67712F003BF26A /* LaunchScreen.storyboard */; };
		9352D1421E677175003BF26A /* KVRegisterViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 9352D1411E677175003BF26A /* KVRegisterViewController.swift */; };
		9352D14A1E68C05C003BF26A /* KVValidator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 9352D1491E68C05C003BF26A /* KVValidator.swift */; };
		93B01C2A1E6AB93200B409A5 /* KVNavigationController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 93B01C281E6AB93200B409A5 /* KVNavigationController.swift */; };
		93B01C331E6AD17200B409A5 /* KVFileHandler.swift in Sources */ = {isa = PBXBuildFile; fileRef = 93B01C321E6AD17200B409A5 /* KVFileHandler.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		93111BF51E6AA2E0000021B9 /* BaseViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; name = BaseViewController.swift; path = ViewControllers/BaseViewController.swift; sourceTree = "<group>"; };
		93111BF71E6AA32E000021B9 /* KVProfileViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; name = KVProfileViewController.swift; path = ViewControllers/KVProfileViewController.swift; sourceTree = "<group>"; };
		9352D12C1E67712F003BF26A /* mamaTestAssignment.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = mamaTestAssignment.app; sourceTree = BUILT_PRODUCTS_DIR; };
		9352D12F1E67712F003BF26A /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		9352D1341E67712F003BF26A /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		9352D1361E67712F003BF26A /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		9352D1391E67712F003BF26A /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		9352D13B1E67712F003BF26A /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		9352D1411E677175003BF26A /* KVRegisterViewController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; name = KVRegisterViewController.swift; path = ViewControllers/KVRegisterViewController.swift; sourceTree = "<group>"; };
		9352D1491E68C05C003BF26A /* KVValidator.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; name = KVValidator.swift; path = Helpers/KVValidator.swift; sourceTree = "<group>"; };
		93B01C281E6AB93200B409A5 /* KVNavigationController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; name = KVNavigationController.swift; path = ViewControllers/KVNavigationController.swift; sourceTree = "<group>"; };
		93B01C321E6AD17200B409A5 /* KVFileHandler.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; name = KVFileHandler.swift; path = Helpers/KVFileHandler.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		9352D1291E67712F003BF26A /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		93111BF41E6AA296000021B9 /* ViewControllers */ = {
			isa = PBXGroup;
			children = (
				93111BF51E6AA2E0000021B9 /* BaseViewController.swift */,
				9352D1411E677175003BF26A /* KVRegisterViewController.swift */,
				93111BF71E6AA32E000021B9 /* KVProfileViewController.swift */,
				93B01C281E6AB93200B409A5 /* KVNavigationController.swift */,
			);
			name = ViewControllers;
			sourceTree = "<group>";
		};
		9352D1231E67712F003BF26A = {
			isa = PBXGroup;
			children = (
				9352D12E1E67712F003BF26A /* mamaTestAssignment */,
				9352D12D1E67712F003BF26A /* Products */,
			);
			sourceTree = "<group>";
		};
		9352D12D1E67712F003BF26A /* Products */ = {
			isa = PBXGroup;
			children = (
				9352D12C1E67712F003BF26A /* mamaTestAssignment.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		9352D12E1E67712F003BF26A /* mamaTestAssignment */ = {
			isa = PBXGroup;
			children = (
				93111BF41E6AA296000021B9 /* ViewControllers */,
				9352D1481E68C029003BF26A /* Helpers */,
				9352D12F1E67712F003BF26A /* AppDelegate.swift */,
				9352D1331E67712F003BF26A /* Main.storyboard */,
				9352D1361E67712F003BF26A /* Assets.xcassets */,
				9352D1381E67712F003BF26A /* LaunchScreen.storyboard */,
				9352D13B1E67712F003BF26A /* Info.plist */,
			);
			path = mamaTestAssignment;
			sourceTree = "<group>";
		};
		9352D1481E68C029003BF26A /* Helpers */ = {
			isa = PBXGroup;
			children = (
				9352D1491E68C05C003BF26A /* KVValidator.swift */,
				93B01C321E6AD17200B409A5 /* KVFileHandler.swift */,
			);
			name = Helpers;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		9352D12B1E67712F003BF26A /* mamaTestAssignment */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 9352D13E1E67712F003BF26A /* Build configuration list for PBXNativeTarget "mamaTestAssignment" */;
			buildPhases = (
				9352D1281E67712F003BF26A /* Sources */,
				9352D1291E67712F003BF26A /* Frameworks */,
				9352D12A1E67712F003BF26A /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = mamaTestAssignment;
			productName = mamaTestAssignment;
			productReference = 9352D12C1E67712F003BF26A /* mamaTestAssignment.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		9352D1241E67712F003BF26A /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 0820;
				LastUpgradeCheck = 0820;
				ORGANIZATIONNAME = "Andre Kvashuk";
				TargetAttributes = {
					9352D12B1E67712F003BF26A = {
						CreatedOnToolsVersion = 8.2.1;
						ProvisioningStyle = Automatic;
					};
				};
			};
			buildConfigurationList = 9352D1271E67712F003BF26A /* Build configuration list for PBXProject "mamaTestAssignment" */;
			compatibilityVersion = "Xcode 3.2";
			developmentRegion = English;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 9352D1231E67712F003BF26A;
			productRefGroup = 9352D12D1E67712F003BF26A /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				9352D12B1E67712F003BF26A /* mamaTestAssignment */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		9352D12A1E67712F003BF26A /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				9352D13A1E67712F003BF26A /* LaunchScreen.storyboard in Resources */,
				9352D1371E67712F003BF26A /* Assets.xcassets in Resources */,
				9352D1351E67712F003BF26A /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		9352D1281E67712F003BF26A /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				93B01C2A1E6AB93200B409A5 /* KVNavigationController.swift in Sources */,
				9352D1421E677175003BF26A /* KVRegisterViewController.swift in Sources */,
				93B01C331E6AD17200B409A5 /* KVFileHandler.swift in Sources */,
				93111BF61E6AA2E0000021B9 /* BaseViewController.swift in Sources */,
				9352D14A1E68C05C003BF26A /* KVValidator.swift in Sources */,
				9352D1301E67712F003BF26A /* AppDelegate.swift in Sources */,
				93111BF81E6AA32E000021B9 /* KVProfileViewController.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		9352D1331E67712F003BF26A /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				9352D1341E67712F003BF26A /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		9352D1381E67712F003BF26A /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				9352D1391E67712F003BF26A /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		9352D13C1E67712F003BF26A /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 10.2;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		9352D13D1E67712F003BF26A /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 10.2;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				SWIFT_OPTIMIZATION_LEVEL = "-Owholemodule";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		9352D13F1E67712F003BF26A /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				INFOPLIST_FILE = mamaTestAssignment/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = com.AndreKvashuk.mamaTestAssignment;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 3.0;
			};
			name = Debug;
		};
		9352D1401E67712F003BF26A /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				INFOPLIST_FILE = mamaTestAssignment/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = com.AndreKvashuk.mamaTestAssignment;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 3.0;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		9352D1271E67712F003BF26A /* Build configuration list for PBXProject "mamaTestAssignment" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				9352D13C1E67712F003BF26A /* Debug */,
				9352D13D1E67712F003BF26A /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		9352D13E1E67712F003BF26A /* Build configuration list for PBXNativeTarget "mamaTestAssignment" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				9352D13F1E67712F003BF26A /* Debug */,
				9352D1401E67712F003BF26A /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 9352D1241E67712F003BF26A /* Project object */;
}
